Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ResultFiles

All Superinterfaces:
  java.io.Serializable

    public interface ResultFiles

extends java.io.Serializable

Represents a set of result files. Currently reports can be exported to multiple result files that have various formats: .rst, HTML, pdf, Excel, etc. Users can get a ResultFiles object from VersionResultRecord. All result files exported in this version are represented by it.

See Also:
  `ResultVersionRecord`

Method Summary
`int` | `getAnalysisReportAmount()` Deprecated. No replacement.
`java.lang.String` | `getAstFileName()` Gets ast format result file name.
`java.lang.String` | `getExcelFileName()` Gets excel format result file name.
`java.lang.String` | `getHtmlFileName()` Gets HTML format result file name.
`java.lang.String` | `getPdfFileName()` Gets pdf format result file name.
`java.lang.String` | `getPostScriptFileName()` Gets Post Script format result file name.
`java.lang.String` | `getReportDisplayName()` Gets the report display name.
`java.lang.String` | `getReportName()` Gets the report instance name.
`java.util.Vector` | `getResultFileNames()` Gets all format result file names.
`java.lang.String` | `getRsdFileName()` Gets rsd format result file name.
`java.lang.String` | `getRstFileName()` Gets rst format result file name.
`java.lang.String` | `getRtfFileName()` Gets rtf format result file name.
`java.lang.String` | `getSvgFileName()` Gets svg format result file name.
`java.lang.String` | `getTextFileName()` Gets plain text format result file name.
`java.lang.String` | `getTiffFileName()` Gets tiff format result file name.
`java.lang.String` | `getWstFileName()` Gets wst format result file name.
`java.lang.String` | `getXmlFileName()` Gets XML format result file name.
`boolean` | `hasAstFile()` Checks whether ast format result file is included in this result file set.
`boolean` | `hasExcelFile()` Checks whether excel format result file is included in this result file set.
`boolean` | `hasHtmlFile()` Checks whether HTML format result file is included in this result file set.
`boolean` | `hasPdfFile()` Checks whether pdf format result file is included in this result file set.
`boolean` | `hasPostScriptFile()` Checks whether Post Script format result file is included in this result file set.
`boolean` | `hasRsdFile()` Checks whether rsd format result file is included in this result file set.
`boolean` | `hasRstFile()` Checks whether rst format result file is included in this result file set.
`boolean` | `hasRtfFile()` Checks whether rtf format result file is included in this result file set.
`boolean` | `hasSvgFile()` Checks whether svg format result file is included in this result file set.
`boolean` | `hasTextFile()` Checks whether plain text format result file is included in this result file set.
`boolean` | `hasTiffFile()` Checks whether tiff format result file is included in this result file set.
`boolean` | `hasWstFile()` Checks whether wst format result file is included in this result file set.
`boolean` | `hasXmlFile()` Checks whether XML format result file is included in this result file set.
`boolean` | `isAnalysisResult()` Deprecated. No replacement.
`boolean` | `isPLSHtmlFile()` Checks whether to apply Page Level Security (PLS) when viewing the html format result file.
`boolean` | `isPLSRsdFile()` Checks whether to apply Page Level Security (PLS) when viewing the rsd format result file.
`boolean` | `isSecurityConstraintHtmlFile()` Checks whether the html format result file has security constraint if Page Level Security (PLS) will be applied at view time.
`boolean` | `isSecurityConstraintRsdFile()` Checks whether the rsd format result file has security constraint if Page Level Security (PLS) will be applied at view time.
`boolean` | `isViewedExcelFile()` Checks whether excel format result file is viewed by users.
`boolean` | `isViewedHtmlFile()` Checks whether html format result file is viewed by users.
`boolean` | `isViewedPdfFile()` Checks whether pdf format result file is viewed by users.
`boolean` | `isViewedPostScriptFile()` Checks whether ps format result file is viewed by users.
`boolean` | `isViewedRsdFile()` Checks whether rsd format result file is viewed by users.
`boolean` | `isViewedRstFile()` Checks whether rst format result file is viewed by users.
`boolean` | `isViewedRtfFile()` Checks whether rtf format result file is viewed by users.
`boolean` | `isViewedTextFile()` Checks whether text format result file is viewed by users.
`boolean` | `isViewedWstFile()` Checks whether wst format result file is viewed by users.
`boolean` | `isViewedXmlFile()` Checks whether xml format result file is viewed by users.

Method Detail

### hasRstFile

    boolean hasRstFile()

  Checks whether rst format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getRstFileName

    java.lang.String getRstFileName()

  Gets rst format result file name.

  Returns:
    rst format result file name, or return null if hasRetFile() returns false.

### hasHtmlFile

    boolean hasHtmlFile()

  Checks whether HTML format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getHtmlFileName

    java.lang.String getHtmlFileName()

  Gets HTML format result file name.

  Returns:
    HTML format result file name, or return null if hasHtmlFile() returns false.

### hasPdfFile

    boolean hasPdfFile()

  Checks whether pdf format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getPdfFileName

    java.lang.String getPdfFileName()

  Gets pdf format result file name.

  Returns:
    pdf format result file name, or return null if hasPdfFile() returns false.

### hasExcelFile

    boolean hasExcelFile()

  Checks whether excel format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getExcelFileName

    java.lang.String getExcelFileName()

  Gets excel format result file name.

  Returns:
    excel format result file name, or return null if hasExcelFile() returns false.

### hasXmlFile

    boolean hasXmlFile()

  Checks whether XML format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getXmlFileName

    java.lang.String getXmlFileName()

  Gets XML format result file name.

  Returns:
    XML format result file name, or return null if hasXmlFile() returns false.

### hasPostScriptFile

    boolean hasPostScriptFile()

  Checks whether Post Script format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getPostScriptFileName

    java.lang.String getPostScriptFileName()

  Gets Post Script format result file name.

  Returns:
    Post Script format result file name, or return null if hasPostScriptFile() returns false.

### hasTextFile

    boolean hasTextFile()

  Checks whether plain text format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getTextFileName

    java.lang.String getTextFileName()

  Gets plain text format result file name.

  Returns:
    plain text format result file name, or return null if hasTextFile() returns false.

### hasRtfFile

    boolean hasRtfFile()

  Checks whether rtf format result file is included in this result file set.

  Returns:
    true if included, otherwise false.

### getRtfFileName

    java.lang.String getRtfFileName()

  Gets rtf format result file name.

  Returns:
    rtf format result file name, or return null if hasRtfFile() returns false.

### hasAstFile

    boolean hasAstFile()

  Checks whether ast format result file is included in this result file set.

  Returns:
    true if included, otherwise false.
  Since:
    version 6

### getAstFileName

    java.lang.String getAstFileName()

  Gets ast format result file name.

  Returns:
    ast format result file name, or return null if hasAstFile() returns false.
  Since:
    version 6

### hasTiffFile

    boolean hasTiffFile()

  Checks whether tiff format result file is included in this result file set.

  Returns:
    true if included, otherwise false.
  Since:
    version 7

### getTiffFileName

    java.lang.String getTiffFileName()

  Gets tiff format result file name.

  Returns:
    tiff format result file name, or return null if hasTiffFile() returns false.
  Since:
    version 7

### hasSvgFile

    boolean hasSvgFile()

  Checks whether svg format result file is included in this result file set.

  Returns:
    true if included, otherwise false.
  Since:
    version 7

### getSvgFileName

    java.lang.String getSvgFileName()

  Gets svg format result file name.

  Returns:
    tiff format result file name, or return null if hasSvgFile() returns false.
  Since:
    version 7

### hasRsdFile

    boolean hasRsdFile()

  Checks whether rsd format result file is included in this result file set.

  Returns:
    true if included, otherwise false.
  Since:
    version 7.1

### getRsdFileName

    java.lang.String getRsdFileName()

  Gets rsd format result file name.

  Returns:
    rsd format result file name, or return null if hasRsdFile() returns false.
  Since:
    version 7.1

### getResultFileNames

    java.util.Vector getResultFileNames()

  Gets all format result file names.

  Returns:
    all format result file names. If there is not any format in the version, this vector's size is 0;

### isAnalysisResult

    boolean isAnalysisResult()

  Deprecated. No replacement.

  Checks whether this result is generated by Analysis report set. An analysis report set may contain multiple reports. There are multiple files for each format (exception .ast)

  Returns:
    true if this result is generated by Analysis report set. otherwise false.
  Since:
    version 7

### getAnalysisReportAmount

    int getAnalysisReportAmount()

  Deprecated. No replacement.

  Represents how many reports of an Analysis report set is selected to generate results. How many reports are selected, how many files will be generated for each result format (except .ast).

  Returns:
    represents selected report amount, if `isAnalysisResult()` returns false, return -1.
  Since:
    version 7

### getReportName

    java.lang.String getReportName()

  Gets the report instance name.

  Returns:
    the report instance name
  Since:
    version 8

### getReportDisplayName

    java.lang.String getReportDisplayName()

  Gets the report display name.

  Returns:
    the report display name
  Since:
    version 8

### isViewedRstFile

    boolean isViewedRstFile()

  Checks whether rst format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasRstFile() returns false.
  Since:
    version 9

### isViewedHtmlFile

    boolean isViewedHtmlFile()

  Checks whether html format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasHtmlFile() returns false.
  Since:
    version 9

### isViewedPdfFile

    boolean isViewedPdfFile()

  Checks whether pdf format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasPdfFile() returns false.
  Since:
    version 9

### isViewedExcelFile

    boolean isViewedExcelFile()

  Checks whether excel format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasExcelFile() returns false.
  Since:
    version 9

### isViewedXmlFile

    boolean isViewedXmlFile()

  Checks whether xml format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasXmlFile() returns false.
  Since:
    version 9

### isViewedWstFile

    boolean isViewedWstFile()

  Checks whether wst format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasWstFile() returns false.
  Since:
    version 10

### isViewedPostScriptFile

    boolean isViewedPostScriptFile()

  Checks whether ps format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasPostScriptFile() returns false.
  Since:
    version 9

### isViewedTextFile

    boolean isViewedTextFile()

  Checks whether text format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasTextFile() returns false.
  Since:
    version 9

### isViewedRtfFile

    boolean isViewedRtfFile()

  Checks whether rtf format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasRtfFile() returns false.
  Since:
    version 9

### isViewedRsdFile

    boolean isViewedRsdFile()

  Checks whether rsd format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasRsdFile() returns false.
  Since:
    version 9

### isPLSHtmlFile

    boolean isPLSHtmlFile()

  Checks whether to apply Page Level Security (PLS) when viewing the html format result file.

  Returns:
    true if Page Level Security (PLS) will be applied when viewing the html format result file.
  Since:
    version 9

### isPLSRsdFile

    boolean isPLSRsdFile()

  Checks whether to apply Page Level Security (PLS) when viewing the rsd format result file.

  Returns:
    true if Page Level Security (PLS) will be applied when viewing the rsd format result file.
  Since:
    version 9

### isSecurityConstraintHtmlFile

    boolean isSecurityConstraintHtmlFile()

  Checks whether the html format result file has security constraint if Page Level Security (PLS) will be applied at view time. If Page Level Security (PLS) will be applied at view time, and this method returns true, only the user that creates this result can view the result, other users will get blank page.

  Returns:
    true if Page Level Security (PLS) will be applied when viewing the html format result file and the result has security constraint.
  Since:
    version 9

### isSecurityConstraintRsdFile

    boolean isSecurityConstraintRsdFile()

  Checks whether the rsd format result file has security constraint if Page Level Security (PLS) will be applied at view time. If Page Level Security (PLS) will be applied at view time, and this method returns true, only the user that creates this result can view the result, other users will get blank page.

  Returns:
    true if Page Level Security (PLS) will be applied when viewing the rsd format result file and the result has security constraint.
  Since:
    version 9

### hasWstFile

    boolean hasWstFile()

  Checks whether wst format result file is included in this result file set.

  Returns:
    true if included, otherwise false.
  Since:
    version 10

### getWstFileName

    java.lang.String getWstFileName()

  Gets wst format result file name.

  Returns:
    wst format result file name, or return null if hasWstFile() returns false.
  Since:
    version 10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD